#
# spec file for package gnome-mines
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-mines
Version:        3.20.1
Release:        3.3
Summary:        Minesweeper Game for GNOME
License:        GPL-2.0+
Group:          Amusements/Games/Board/Other
Url:            https://live.gnome.org/Mines
Source:         http://download.gnome.org/sources/gnome-mines/3.20/%{name}-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
This is the popular logic puzzle minesweeper, which includes avoiding
mines while receiving clues for the location of the mines.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file gnome-mines
%fdupes %{buildroot}%{_datadir}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc COPYING NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/gnome-mines.appdata.xml
%{_datadir}/applications/gnome-mines.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.mines.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/icons/hicolor/*/actions/flag-symbolic.svg
%{_mandir}/man6/%{name}.6%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Wed Jun 15 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Can not enter custom size (bgo#766145).
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.91:
  + Fixed usage of deprecated icon name.
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Updated the Appdata to spec version 0.7+.
  + Fixed window size growing huge with GTK+ 3.20.
  + Updated translations.
* Tue Jan 19 2016 dimstar@opensuse.org
- Update to version 3.19.4:
  + Stop using deprecated gnome-common.
  + Add pre-commit and pre-applypatch hooks.
  + Updated translations.
* Wed Dec 23 2015 dimstar@opensuse.org
- Update to version 3.19.3:
  + Updated appdata and doap.
  + Updated translations.
* Tue Nov 24 2015 zaitor@opensuse.org
- Update to version 3.19.2:
  + Improved keyboard cursor display and behaviour.
  + Added extra keyboard shortcuts for starting/stopping games.
  + Change tile click behaviour to reveal tile on click release.
  + Fixed jumping clock issue in timer.
  + Show incorrectly flagged fields.
  + Updated translations.
- Changes from version 3.19.1:
  + Fixed timer reset and timer jumps.
  + Updated translations.
- Add fdupes BuildRequires and pass corresponding macro to remove
  duplicates.
- Stop obsoleting gnomine, no version supported in openSUSE ships
  this anymore.
* Tue Nov 10 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Improved keyboard cursor display.
  + Added keyboard shortcuts to start/stop game.
  + Changed tile click to reveal on click release.
  + Fixed timer reset on game won.
  + Show incorrectly flagged fields.
  + Updated translations.
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Updated translations.
* Wed Sep  2 2015 dimstar@opensuse.org
- Update to version 3.17.91:
  + Updated translations.
* Mon Aug 17 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Updated translations.
* Tue Jul 21 2015 zaitor@opensuse.org
- Update to version 3.17.4:
  + Performance improvements.
  + Reduced high CPU usage after consecutive games.
  + Updated translations.
* Fri Jun 26 2015 zaitor@opensuse.org
- Update to version 3.17.3:
  + Added animations enable/disable checkbox.
  + Fixed unclickable spots between grid cells.
  + Updated translations.
* Wed May 27 2015 zaitor@opensuse.org
- Update to version 3.17.2:
  + Fixed keyboard navigation limits.
  + Updated translations.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Provide a symbolic icon.
  + Fixed theme selector initialization glitch.
  + Updated translations.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Mar 17 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Updated translations.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Readded screen transitions.
  + Code cleanup.
  + Removed New Game from app menu.
  + Updated About dialog.
  + Connect to size_allocate.
  + Do not save size when tiled.
  + Updated translations.
* Mon Jan 26 2015 dimstar@opensuse.org
- Update to version 3.15.4:
  + Added support for themes and theme selector dialog.
  + Fixed distance between game area and sidebar buttons.
  + Removed hover effect from inactive tiles.
  + Do not hide any buttons.
  + Updated translations.
* Wed Dec 17 2014 zaitor@opensuse.org
- Update to version 3.15.3:
  + Use appstream-util for appdata validation.
  + Updated translations.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + use XDG_CURRENT_DESKTOP to use/avoid headerbar.
  + Fixed sidebar resizing on game start glitch.
  + Updated translations.
* Tue Sep 23 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Appdata: updated screenshot size.
  + Updated translations.
* Tue Sep 16 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Don't translate timer labels.
  + Symbolic flag install path fixed.
  + Use new function for setting accelerators.
  + Updated translations.
* Mon Sep  1 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Ignore the clock after exploding.
  + Updated translations.
* Mon Aug 18 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + High contrast icons.
  + Updated translations.
- Handle HighContrast icons in post/postun.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Theme tweaks for the latest Adwaita.
  + Fixed rough image rendering.
  + Do not use deprecated methods and properties.
  + Fixed styling issues causing diamonds to appear in the grid.
  + Fixed small flag icon.
  + Translatable clock label.
  + Better-looking minimum width request for the small board.
  + Don't show headerbar/appmenu on systems that don't support it.
  + Updated translations.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.2:
  + Update CSS style.
  + Flipped tiles should not appear sensitive on hover.
  + Scrollbars added for large custom minefields.
  + Use improved flag icon in right column.
  + Rename Difficulty button to Change Difficulty.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.13.1:
  + Use delayed settings saving.
  + New game screen improvements.
  + Custom game screen improvements.
  + Removed the preferences dialog.
  + Better minimum size request.
  + Reimplemented the minefield to be CSS stylable.
  + Moved user interface creating code to Glade UI files.
  + Added good-looking CSS style.
  + Updated help.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Updated translations.
* Tue Apr 15 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Updated translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated help.
  + Updated translations.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Appdata: update screenshot size.
  + Updated translations.
* Tue Feb 18 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Appdata: specify project_group.
  + Rename desktop file to gnome-mines.desktop.
  + Hint time penalty now increases.
  + Add tooltips to buttons.
* Tue Dec 17 2013 dimstar@opensuse.org
- Update to version 3.11.3:
  + Move buttons to side of window.
  + Enable question flags by default.
  + Allow setting percentage of mines on the board in custom games.
  + Scores dialog: autoscroll to new score.
  + Scores dialog: replace Quit button with Close.
  + Updated translations.
* Wed Oct 30 2013 dimstar@opensuse.org
- Update to version 3.11.1:
  + Redesigned interface.
  + Remove BugBuddy support.
  + Updated translations.
* Sun Oct 13 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Remove "Hint" action from app menu.
  + Updated translations.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Mon Sep 16 2013 zaitor@opensuse.org
- Update to version 3.9.92:
  + Add appdata file.
  + Updated translations.
* Wed Aug 21 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Resize the window when switching to a smaller minefield.
  + Fix broken links and typos in user help.
  + Fix name of app menu when not launched by GNOME Shell.
  + Updated translations.
* Tue Aug 20 2013 dimstar@opensuse.org
- Update to version 3.8.2:
  + Help: update damned lies module name to gnome-mines.
  + Fix crash when releasing button outside minefield.
  + Updated translations.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Updated translations.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Tue Mar 19 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Renamed desktop file back to gnomine.dekstop.
  + Increase number visibility.
  + Keyboard support.
  + Updated translations.
- Also obsolete gnomine-lang to ease upgrades.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 3.7.90: split-off from gnome-games.
